(function($) {
    'use strict';

    jQuery(document).ready(function($) {

    	var bargainModalLoop = 0;
    	localStorage.setItem("bargainModalLoop",  bargainModalLoop );

    	var exit_intent_handler_bargain = 0;
    	var scroll_open_handler_bargain = 0;
    	var exit_intent_once_time_bargain = 0;

    	var auto_open_handler_bargain = 0;
    	var re_target_handler_bargain = 0;


    	//bargain modal initiate function
	    $(document).on('click', '.woo_minimum_accept_price-bargin-modal', function(e){
	    	e.preventDefault();
	    	var product_id = $(this).attr('product_id');
	    	$('.woo-chatbot-product-bargain-price').val('');
	    	$('.woo-chatbot-product-bargain-msg').html('');
            $.magnificPopup.open({items: {src: '#wpbot-map-product-modal'},type: 'inline'}, 0);
            
            $('#wpbot-map-product-modal').closest('.mfp-wrap').addClass('wpbot-map-wraps');
            
            setTimeout(function() { 

            	$(".woo-chatbot-product-bargain-price").focus();

            	qcld_map_product_previous_pro_added_to_cart(product_id);



        		qcld_map_product_user_limit_count_id_functions(product_id);

            }, 1000);
		
	    });
	    $(document).on('click', '.woo_minimum_accept_price-bargin-modal_shop', function(e){
	    	e.preventDefault();
	    	var product_id = $(this).attr('product_id');
	    	$('.woo-chatbot-product-bargain-price').val('');
	    	$('.woo-chatbot-product-bargain-msg').html('');
            $.magnificPopup.open({items: {src: '#wpbot-map-product-modal-'+ product_id },type: 'inline'}, 0);
            
            $('#wpbot-map-product-modal-'+ product_id).closest('.mfp-wrap').addClass('wpbot-map-wraps');
            
            setTimeout(function() { 

            	$(".woo-chatbot-product-bargain-price").focus();

            	//qcld_map_product_previous_pro_added_to_cart(product_id);



        		//qcld_map_product_user_limit_count_id_functions(product_id);

            }, 1000);
		
	    });


    	//bargain modal initiate function
	    $(document).on('click', '.woo-chatbot-product-bargain-submit', function(e){
	    	e.preventDefault();
	    	var product_id = $(this).attr('product-id');
	    	var price = $('.woo-chatbot-product-bargain-price').val();
	    	if( price == '') {
	    		$('.woo-chatbot-product-bargain-price').addClass('woo-chatbot-shake');

	    		setTimeout(function(){
	    			$('.woo-chatbot-product-bargain-price').removeClass('woo-chatbot-shake');
                }, 700);

	    		return;
	    	}
            var price = price.match(/\d+(?:\.\d+)?/g).map(Number);



	    	$('.woo-chatbot-product-bargain-price').prop("disabled", true);
	        $('.woo-chatbot-product-bargain-msg').show();
	    	$('.woo-chatbot-product-bargain-msg').html('<p class="woo-chatbot-product-bargain-price_nego">'+ qcld_map_price_negotiating_test +'</p>');
	    	$('.woo-chatbot-product-bargain-submit').hide();


	    	var data = {'action':'qcld_woo_bargin_product_modal_price',
				    	'qcld_woo_map_product_id':product_id, 
				    	'price': parseFloat(price),
			            'security': qcld_map_pro_get_ajax_nonce
				    };
            
	    	setTimeout(function(){
	        jQuery.post(qcld_map_ajaxurl, data, function (response) {
	        	//console.log(response);

        		qcld_map_product_user_limit_count_id_functions(product_id);


	        	if(response.confirm == 'agree'){

	        		var response_sale_price = response.sale_price;

	        		if(qcld_minimum_accept_skip_add_to_cart == 1){
	        			$( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
			    		//return false; 
	        		}
	        	
	        		$('.woo-chatbot-products-bargain-wrap').html('');
	        		$('.woo-chatbot-products-bargain-wrap').html(response.html);
	        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
	        			var min_qty_req = qcld_minimum_accept_min_quantity;
	        		}else{
	        			var min_qty_req = 1;

	        		}
	        		if(qcld_disable_email == 1){
	        		$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variation-id=""  price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
	        		}else{
	        		$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variation-id=""  price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

	        		}

	        		var bargainModalLoop = 0;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );


	        		if(qcld_minimum_accept_skip_add_to_cart == 1){
	        			$( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
			    		
	        		}
	        		

	        	}else if(response.confirm == 'success'){

	        		var bargainModalLoop = parseFloat(localStorage.getItem("bargainModalLoop")) + 1;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );

	        		var qcld_bargain_allowed_timess = parseInt(qcld_bargain_allowed_times) + 1;

	        		if(localStorage.getItem("bargainModalLoop") == parseInt(qcld_bargain_allowed_timess) ){

	        			var response_sale_price = response.sale_price;

                        var your_low_price_alert  = qcld_map_your_low_price_alert;
                        var your_too_low_price_alert  = qcld_map_your_too_low_price_alert;
                        if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

                        var confirmBtn1  = your_low_price_alert.replace("{offer price}", parseFloat(price).toFixed(2) + qcld_map_currency_symbol );
                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}",  response_sale_price + qcld_map_currency_symbol );
                        
                        }else{

                        var confirmBtn1  = your_low_price_alert.replace("{offer price}", qcld_map_currency_symbol + parseFloat(price).toFixed(2) );
                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response_sale_price );

                        }

                        var qcld_bargain_allowed_max_timess = parseInt(qcld_bargain_allowed_max_times);

                        if( (qcld_bargain_allowed_max_timess != '') && (localStorage.getItem("bargainModalLoop") == qcld_bargain_allowed_max_timess ) ){

                        	var response_sale_price = response.actual_price;
                        	
                        	if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}",  response_sale_price + qcld_map_currency_symbol );
	                        
	                        }else{

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response_sale_price );

	                        }

                        }


	        			$('.woo-chatbot-products-bargain-wrap').html('');
	        			$('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
	        			$('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');
	        			$('.woo-chatbot-product-bargain-msg-success').append('<p>' +restWarning+ '</p>');


		        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
		        			var min_qty_req = qcld_minimum_accept_min_quantity;
		        		}else{
		        			var min_qty_req = 1;

		        		}						

	        			if(qcld_disable_email == 1){
	        			$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
	        			}else{
	        			$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

	        			}

	        			var bargainModalLoop = 0;
	        			localStorage.setItem("bargainModalLoop",  bargainModalLoop );


		        		if(qcld_minimum_accept_skip_add_to_cart == 1){
		        			$( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
				    		
		        		}

	        		}else{
	        			
	        			// var bargainModalLoop = 1;
	        			// localStorage.setItem("bargainModalLoop",  bargainModalLoop );

	        			var qcld_bargain_allowed_max_timess = parseInt(qcld_bargain_allowed_max_times);

                        if( (qcld_bargain_allowed_max_timess != '') && (localStorage.getItem("bargainModalLoop") > qcld_bargain_allowed_max_timess ) ){

                        	var response_sale_price = response.actual_price;
                        	var your_low_price_alert  = qcld_map_your_low_price_alert;
                        	var your_too_low_price_alert  = qcld_map_your_too_low_price_alert;
                        	
                        	if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}",  response_sale_price + qcld_map_currency_symbol );
	                        
	                        }else{

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response_sale_price );

	                        }



		        			$('.woo-chatbot-products-bargain-wrap').html('');
		        			$('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
		        			$('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');
		        			$('.woo-chatbot-product-bargain-msg-success').append('<p>' +restWarning+ '</p>');


			        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
			        			var min_qty_req = qcld_minimum_accept_min_quantity;
			        		}else{
			        			var min_qty_req = 1;

			        		}						

		        			if(qcld_disable_email == 1){
		        			$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
		        			}else{
		        			$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

		        			}




			        		if(qcld_minimum_accept_skip_add_to_cart == 1){
			        			$( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
					    		
			        		}


                        }else{


		        			$('.woo-chatbot-product-bargain-msg').html(response.html);
		        			$('.woo-chatbot-product-bargain-msg').show();
		    				$('.woo-chatbot-product-bargain-price').prop("disabled", false);
		    	    		$('.woo-chatbot-product-bargain-submit').show();

                        }

	        		}

	        	}else{

	        		var bargainModalLoop = 0;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );

	        		$('.woo-chatbot-product-bargain-msg').html(response.html);
	        		$('.woo-chatbot-product-bargain-msg').show();


	    			$('.woo-chatbot-product-bargain-price').prop("disabled", false);
	    	    	$('.woo-chatbot-product-bargain-submit').show();

	        	}
	            
	        });

            }, 5000);

	    	$('.woo-chatbot-product-bargain-price').prop( "disabled", false );
		
	    });


    	//bargain modal initiate function
	    $(document).on('click', '.woo-chatbot-product-bargain-shop-submit', function(e){
	    	e.preventDefault();
	    	var currentDom = $(this);
	    	var product_id = currentDom.attr('product-id');
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-modal');
	    	var price = currentDom_wrap.find('.woo-chatbot-product-bargain-price').val();
	    	if( price == '') {
	    		currentDom_wrap.find('.woo-chatbot-product-bargain-price').addClass('woo-chatbot-shake');

	    		setTimeout(function(){
	    			currentDom_wrap.find('.woo-chatbot-product-bargain-price').removeClass('woo-chatbot-shake');
                }, 700);

	    		return;
	    	}
            var price = price.match(/\d+(?:\.\d+)?/g).map(Number);



	    	currentDom_wrap.find('.woo-chatbot-product-bargain-price').prop("disabled", true);
	        currentDom_wrap.find('.woo-chatbot-product-bargain-msg').show();
	    	currentDom_wrap.find('.woo-chatbot-product-bargain-msg').html('<p class="woo-chatbot-product-bargain-price_nego">'+ qcld_map_price_negotiating_test +'</p>');
	    	currentDom_wrap.find('.woo-chatbot-product-bargain-submit').hide();


	    	var data = {'action':'qcld_woo_bargin_product_modal_price',
				    	'qcld_woo_map_product_id':product_id, 
				    	'price': parseFloat(price),
			            'security': qcld_map_pro_get_ajax_nonce
				    };
            
	    	setTimeout(function(){
	        jQuery.post(qcld_map_ajaxurl, data, function (response) {
	        	//console.log(response);

        		//qcld_map_product_user_limit_count_id_functions(product_id);


	        	if(response.confirm == 'agree'){

	        		var response_sale_price = response.sale_price;

	        		if(qcld_minimum_accept_skip_add_to_cart == 1){
	        			currentDom_wrap.find( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
			    		//return false; 
	        		}
	        	
	        		currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
	        		currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html(response.html);
	        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
	        			var min_qty_req = qcld_minimum_accept_min_quantity;
	        		}else{
	        			var min_qty_req = 1;

	        		}
	        		if(qcld_disable_email == 1){
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variation-id=""  price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
	        		}else{
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variation-id=""  price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

	        		}

	        		var bargainModalLoop = 0;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );


	        		if(qcld_minimum_accept_skip_add_to_cart == 1){
	        			currentDom_wrap.find( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
			    		
	        		}
	        		

	        	}else if(response.confirm == 'success'){

	        		var bargainModalLoop = parseFloat(localStorage.getItem("bargainModalLoop")) + 1;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );

	        		var qcld_bargain_allowed_timess = parseInt(qcld_bargain_allowed_times) + 1;

	        		if(localStorage.getItem("bargainModalLoop") == parseInt(qcld_bargain_allowed_timess) ){

	        			var response_sale_price = response.sale_price;

                        var your_low_price_alert  = qcld_map_your_low_price_alert;
                        var your_too_low_price_alert  = qcld_map_your_too_low_price_alert;
                        if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

                        var confirmBtn1  = your_low_price_alert.replace("{offer price}", parseFloat(price).toFixed(2) + qcld_map_currency_symbol );
                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}",  response_sale_price + qcld_map_currency_symbol );
                        
                        }else{

                        var confirmBtn1  = your_low_price_alert.replace("{offer price}", qcld_map_currency_symbol + parseFloat(price).toFixed(2) );
                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response_sale_price );

                        }

                        var qcld_bargain_allowed_max_timess = parseInt(qcld_bargain_allowed_max_times);

                        if( (qcld_bargain_allowed_max_timess != '') && (localStorage.getItem("bargainModalLoop") == qcld_bargain_allowed_max_timess ) ){

                        	var response_sale_price = response.actual_price;
                        	
                        	if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}",  response_sale_price + qcld_map_currency_symbol );
	                        
	                        }else{

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response_sale_price );

	                        }

                        }


	        			currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
	        			currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
	        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');
	        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p>' +restWarning+ '</p>');


		        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
		        			var min_qty_req = qcld_minimum_accept_min_quantity;
		        		}else{
		        			var min_qty_req = 1;

		        		}						

	        			if(qcld_disable_email == 1){
	        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
	        			}else{
	        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

	        			}

	        			var bargainModalLoop = 0;
	        			localStorage.setItem("bargainModalLoop",  bargainModalLoop );


		        		if(qcld_minimum_accept_skip_add_to_cart == 1){
		        			currentDom_wrap.find( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
				    		
		        		}

	        		}else{
	        			
	        			// var bargainModalLoop = 1;
	        			// localStorage.setItem("bargainModalLoop",  bargainModalLoop );

	        			var qcld_bargain_allowed_max_timess = parseInt(qcld_bargain_allowed_max_times);

                        if( (qcld_bargain_allowed_max_timess != '') && (localStorage.getItem("bargainModalLoop") > qcld_bargain_allowed_max_timess ) ){

                        	var response_sale_price = response.actual_price;
                        	var your_low_price_alert  = qcld_map_your_low_price_alert;
                        	var your_too_low_price_alert  = qcld_map_your_too_low_price_alert;
                        	
                        	if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}",  response_sale_price + qcld_map_currency_symbol );
	                        
	                        }else{

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response_sale_price );

	                        }



		        			currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
		        			currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');
		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p>' +restWarning+ '</p>');


			        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
			        			var min_qty_req = qcld_minimum_accept_min_quantity;
			        		}else{
			        			var min_qty_req = 1;

			        		}						

		        			if(qcld_disable_email == 1){
		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
		        			}else{
		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

		        			}




			        		if(qcld_minimum_accept_skip_add_to_cart == 1){
			        			currentDom_wrap.find( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
					    		
			        		}


                        }else{


		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg').html(response.html);
		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg').show();
		    				currentDom_wrap.find('.woo-chatbot-product-bargain-price').prop("disabled", false);
		    	    		currentDom_wrap.find('.woo-chatbot-product-bargain-submit').show();

                        }

	        		}

	        	}else{

	        		var bargainModalLoop = 0;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );

	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg').html(response.html);
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg').show();


	    			currentDom_wrap.find('.woo-chatbot-product-bargain-price').prop("disabled", false);
	    	    	currentDom_wrap.find('.woo-chatbot-product-bargain-submit').show();

	        	}
	            
	        });

            }, 5000);

	    	currentDom_wrap.find('.woo-chatbot-product-bargain-price').prop( "disabled", false );
		
	    });

	    $(document).on("keypress", ".woo-chatbot-product-bargain-price", function (e) {

		    var key = e.which;
			if(key == 13){

		       	$( ".woo-chatbot-product-bargain-submit" ).trigger('click');
			    return false;  

			}

		});

	    $(document).on("click", ".qcld-modal-bargin-confirm-btn-yes", function (e) {

	    	//var product_id = $(this).attr('product-id');
	    	var currentDom = $(this);
	    	var product_id = currentDom.attr('product-id');
	    	var price 	   = currentDom.attr('price');
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-modal');

		   var data = {
				   	'action':'qcld_woo_bargin_product_modal_price',
				   	'qcld_woo_map_product_id':product_id, 
				   	'price': price,
			        'security': qcld_map_pro_get_ajax_nonce
		   		};
            
	    	setTimeout(function(){
		        jQuery.post(qcld_map_ajaxurl, data, function (response) {
		        	
		        	currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
		        	currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html(response.html);

		        	var bargainModalLoop = 0;
		        	localStorage.setItem("bargainModalLoop",  bargainModalLoop );

				});
			});


    	});

	    $(document).on("click", ".qcld-modal-bargin-confirm-btn-no", function (e) {

	    	//var product_id  = $(this).attr('product-id');
	    	var currentDom = $(this);
	    	var product_id = currentDom.attr('product-id');
	    	var price 	   = currentDom.attr('price');
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-modal');
            
	    	setTimeout(function(){

	            currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
	        	currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
	        	currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p>' + qcld_map_talk_to_boss + '</p>');
	        	currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-products-bargain-info"><input type="number" name="woo-chatbot-product-bargain-price" class="woo-chatbot-product-bargain-offer-price" placeholder="'+qcld_map_currency_symbol+'"><button type="button" class="woo-modal-product-bargain-price-submit" product-id="'+product_id+'">'+ qcld_map_modal_submit_button +'</button></div>');

			});


            setTimeout(function() { 

            	currentDom_wrap.find(".woo-chatbot-product-bargain-offer-price").focus();

            }, 1000);


    	});


	    $(document).on("click", ".woo-modal-product-bargain-price-submit", function (e) {

	    	//var product_id  = $(this).attr('product-id');
	    	var currentDom = $(this);
	    	var product_id = currentDom.attr('product-id');
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-modal');

	    	var offer_price = currentDom_wrap.find('.woo-chatbot-product-bargain-offer-price').val();
	    	if( offer_price == '' ) {
	    		currentDom_wrap.find('.woo-chatbot-product-bargain-offer-price').addClass('woo-chatbot-shake');

	    		setTimeout(function(){
	    			currentDom_wrap.find('.woo-chatbot-product-bargain-offer-price').removeClass('woo-chatbot-shake');
                }, 700);

	    		return;
	    	}
          
            var offer_price = offer_price.match(/\d+(?:\.\d+)?/g).map(Number);
            
	    	setTimeout(function(){

	            currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
	        	currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
	        	if(qcld_enable_phone == 1){
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p>' + qcld_map_get_phone_number + '</p>');
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-products-bargain-info"><input type="tel" name="woo-chatbot-product-bargain-email" class="woo-modal-product-bargain-offer-email"><button type="button" class="woo-modal-product-bargain-email-submit" product-id="'+product_id+'" price="'+parseFloat(offer_price)+'">'+ qcld_map_modal_submit_button +'</button></div>');
	        	}else if(qcld_enable_phone == 2){
	        		/*
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p class="qcld_email_or_phone_show">' + qcld_map_get_email_address + '</p>');
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-products-bargain-info qcld_email_or_phone_show"><input type="email" name="woo-chatbot-product-bargain-email" class="woo-modal-product-bargain-offer-email"><span class="qcld_email_or_phone">'+ qcld_minimum_accept_minimum_click_for_use_phone_text +'</span>');

	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p class="qcld_email_or_phone_hide" style="display:none">' + qcld_map_get_phone_number + '</p>');
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-products-bargain-info"><input type="tel" name="woo-chatbot-product-bargain-email" class="woo-modal-product-bargain-offer-phone qcld_email_or_phone_hide" style="display:none"><span class="qcld_phone_or_email qcld_email_or_phone_hide">'+ qcld_minimum_accept_minimum_click_for_use_email_text +'</span><button type="button" class="woo-modal-product-bargain-email-submit" product-id="'+product_id+'" price="'+parseFloat(offer_price)+'">'+ qcld_map_modal_submit_button +'</button></div>');
	        		*/
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p class="qcld_email_or_phone_show">' +  qcld_map_get_phone_number + '</p>');
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-products-bargain-info qcld_email_or_phone_show"><input type="tel" name="woo-chatbot-product-bargain-email" class="woo-modal-product-bargain-offer-phone"><span class="qcld_email_or_phone">'+  qcld_minimum_accept_minimum_click_for_use_email_text +'</span>');

	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p class="qcld_email_or_phone_hide" style="display:none">' + qcld_map_get_email_address + '</p>');
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-products-bargain-info"><input type="email" name="woo-chatbot-product-bargain-email" class="woo-modal-product-bargain-offer-email qcld_email_or_phone_hide" style="display:none"><span class="qcld_phone_or_email qcld_email_or_phone_hide">'+ qcld_minimum_accept_minimum_click_for_use_phone_text +'</span><button type="button" class="woo-modal-product-bargain-email-submit" product-id="'+product_id+'" price="'+parseFloat(offer_price)+'">'+ qcld_map_modal_submit_button +'</button></div>');
	        	}else{
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p>' + qcld_map_get_email_address + '</p>');
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-products-bargain-info"><input type="email" name="woo-chatbot-product-bargain-email" class="woo-modal-product-bargain-offer-email"><button type="button" class="woo-modal-product-bargain-email-submit" product-id="'+product_id+'" price="'+parseFloat(offer_price)+'">'+ qcld_map_modal_submit_button +'</button></div>');

	        	}

			});
			
            setTimeout(function() { 

            	currentDom_wrap.find(".woo-modal-product-bargain-offer-email").focus();

            }, 1000);


    	});



	    $(document).on("keypress", ".woo-chatbot-product-bargain-offer-price", function (e) {

		    var key = e.which;
			if(key == 13){

		       	$( ".woo-modal-product-bargain-price-submit" ).trigger('click');
			    return false;  

			}

		});


	    $(document).on("click", ".woo-modal-product-bargain-email-submit", function (e) {
	    	var currentDom = $(this);
	    	//var product_id = currentDom.attr('product-id');
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-modal');

	    	var product_id  = currentDom.attr('product-id');
	    	var variation_id = $('.variation_id').val();
	    	var offer_price  = currentDom.attr('price');
	    	var email_address = currentDom_wrap.find('.woo-modal-product-bargain-offer-email').val();
	    	var phone_address = '';



	    		if(qcld_enable_phone == 1){

	    			if( email_address == '') {

		    			currentDom_wrap.find('.woo-modal-product-bargain-offer-email').addClass('woo-chatbot-shake');

			    		setTimeout(function(){
			    			currentDom_wrap.find('.woo-modal-product-bargain-offer-email').removeClass('woo-chatbot-shake');
		                }, 700);

			    		return;
			    	}

	    		}else if(qcld_enable_phone == 2){


	    			var phone_address = currentDom_wrap.find('.woo-modal-product-bargain-offer-phone').val();


	    			//var email_mobile_address = phone_address ? phone_address : email_address;
	    			var email_mobile_address = email_address ? email_address : phone_address;

	    			//console.log(email_mobile_address);
	    			//console.log(phone_address);

	    			if( email_mobile_address == '' ) {

		    			currentDom_wrap.find('.woo-modal-product-bargain-offer-email').addClass('woo-chatbot-shake');

			    		setTimeout(function(){
			    			currentDom_wrap.find('.woo-modal-product-bargain-offer-email').removeClass('woo-chatbot-shake');
		                }, 700);

			    		return;
			    	}

			    	var phone_expr = /^\s*(?:\+?(\d{1,3}))?[- (]*(\d{3})[- )]*(\d{3})[- ]*(\d{4})(?: *[x/#]{1}(\d+))?\s*$/;

				    if (phone_address != '' && !phone_expr.test(phone_address)) {

			    		currentDom_wrap.find('.woo-modal-product-bargain-offer-phone').addClass('woo-chatbot-shake');

			    		setTimeout(function(){
			    			currentDom_wrap.find('.woo-modal-product-bargain-offer-phone').removeClass('woo-chatbot-shake');
		                }, 700);

			    		return;

				    }

			    	var expr = new RegExp(/^\b[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,4}\b$/i);

				    if (phone_address == '' && !expr.test(email_address)) {

			    		currentDom_wrap.find('.woo-modal-product-bargain-offer-email').addClass('woo-chatbot-shake');

			    		setTimeout(function(){
			    			currentDom_wrap.find('.woo-modal-product-bargain-offer-email').removeClass('woo-chatbot-shake');
		                }, 700);

			    		return;

				    }


	    		}else{

	    			if( email_address == '') {
			    		currentDom_wrap.find('.woo-modal-product-bargain-offer-email').addClass('woo-chatbot-shake');

			    		setTimeout(function(){
			    			currentDom_wrap.find('.woo-modal-product-bargain-offer-email').removeClass('woo-chatbot-shake');
		                }, 700);

			    		return;
			    	}

		    		var expr = new RegExp(/^\b[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,4}\b$/i);

				    if (!expr.test(email_address)) {

			    		currentDom_wrap.find('.woo-modal-product-bargain-offer-email').addClass('woo-chatbot-shake');

			    		setTimeout(function(){
			    			currentDom_wrap.find('.woo-modal-product-bargain-offer-email').removeClass('woo-chatbot-shake');
		                }, 700);

			    		return;

				    }

	    		}

	    	

		    var data = {
				    	'action':'qcld_woo_bargin_product_modal_disagree',
				    	'qcld_woo_map_product_id':product_id, 
						'qcld_woo_map_variation_id': variation_id,
				    	'offer_price': offer_price, 
				    	'email': email_address,
				    	'mobile': phone_address,
			            'security': qcld_map_pro_get_ajax_nonce
		    		};
            
	    	setTimeout(function(){
		        jQuery.post(qcld_map_ajaxurl, data, function (response) {

	                currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
	        		currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<h6>' + qcld_map_thanks_test + '</h6>');
	        		
				});
			});


    	});


	    $(document).on("keypress", ".woo-modal-product-bargain-offer-email", function (e) {

		    var key = e.which;
			if(key == 13){

		       	$( ".woo-modal-product-bargain-email-submit" ).trigger('click');
			    return false;  

			}

		});


		//bargain modal initiate function for variable product
	    $(document).on('click', '.woo_minimum_accept_price-bargin-varialbe-modal', function(e){
	    	e.preventDefault();
	    	
	    	var product_id = $(this).attr('product_id');
	    	var product_get_id = $('[name="product_id"]' ).val();
	    	var variation_id = $('.variation_id').val();

	    	var product_id = product_id ? product_id : product_get_id;

	    	if( variation_id == '0' || variation_id == '' ) {

	    		alert('Please select some product options before adding this product to your cart.');
	    		return false;

	    	}

	    	// console.log(product_id)

	    	// $('#wpbot-map-product-exit-intent-modal').remove();
	    	$.magnificPopup.close();
	    	$('.woo_minimum_accept_price-bargin-varialbe-modal').addClass('woo-chatbot-product-variation-move');

	    	var data = {
	    		'action':'qcld_woo_bargin_product_variation',
	    		'qcld_woo_map_product_id':product_id, 
	    		'qcld_woo_map_variation_id': variation_id,
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};
            
	    	setTimeout(function(){
	        	jQuery.post(qcld_map_ajaxurl, data, function (response) {

	        		$('.woo_minimum_accept_price-bargin-varialbe-modal').removeClass('woo-chatbot-product-variation-move');

	        		//console.log(response);
	        		$('.woo_minimum_accept_price-field-wrapper').after(response.html);
            		$.magnificPopup.open({items: {src: '#wpbot-map-product-modal'},type: 'inline'}, 0);

            		$('#wpbot-map-product-modal').closest('.mfp-wrap').addClass('wpbot-map-wraps');

            		setTimeout(function() { 

            			$(".woo-chatbot-product-bargain-price").focus();
            			qcld_map_product_previous_variable_pro_added_to_cart(product_id, variation_id);

            			qcld_map_product_variation_user_limit_count_id_functions(product_id, variation_id);

            		}, 1000);
            		
		
	    		});
	    	});


	    });




		//bargain modal initiate function for variable product
	    $(document).on('click', '.woo_minimum_accept_price-bargin-varialbe-modal_shop', function(e){
	    	e.preventDefault();
	    	
	    	var currentDom = $(this);
	    	//var product_id = currentDom.attr('product-id');
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-modal');

	    	var product_id = currentDom.attr('product_id');
	    	var product_get_id = $('[name="product_id"]' ).val();
	    	var variation_id = $('.variation_id').val();

	    	var product_id = product_id ? product_id : product_get_id;

	    	/*if( variation_id == '0' || variation_id == '' ) {

	    		alert('Please select some product options before adding this product to your cart.');
	    		return false;

	    	}*/

	    	// console.log(product_id)

	    	// $('#wpbot-map-product-exit-intent-modal').remove();
	    	$.magnificPopup.close();
	    	currentDom.addClass('woo-chatbot-product-variation-move');

	    	/*var data = {
	    		'action':'qcld_woo_bargin_product_variation',
	    		'qcld_woo_map_product_id':product_id, 
	    		'qcld_woo_map_variation_id': variation_id,
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};*/

	    	var data = {
	    		'action':'qcld_woo_bargin_product_variation_shop_page',
	    		'qcld_woo_map_product_id':product_id, 
	    		'qcld_woo_map_variation_id': variation_id,
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};
            
	    	setTimeout(function(){
	        	jQuery.post(qcld_map_ajaxurl, data, function (response) {

	        		currentDom.removeClass('woo-chatbot-product-variation-move');

	        		//console.log(response);
	        		$('.woo_minimum_accept_price-field-wrapper').after(response);
            		$.magnificPopup.open({items: {src: '#wpbot-map-product-modal-'+ product_id},type: 'inline'}, 0);

            		$('#wpbot-map-product-modal-'+ product_id).closest('.mfp-wrap').addClass('wpbot-map-wraps');


            		setTimeout(function() {

            			currentDom_wrap.find(".woo-chatbot-product-bargain-price").focus();
            			$('.woo-chatbot-products-bargain-wrap .single_variation_wrap').css({ display: "none" });
            			$('.woo-chatbot-products-bargain-wrap .woo_minimum_accept_price-bargin-varialbe-modal').css({ display: "none" });

            		}, 1000);
            		
		
	    		});
	    	});


	    });
	    $(document).on('click', '.woo-modal-product-bargain-variation-shop-submit', function(e){
	    	e.preventDefault();
	    	
	    	var currentDom = $(this);
	    	//var product_id = currentDom.attr('product-id');
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-modal');

	    	var product_id = currentDom.attr('product_id');
	    	var product_get_id = $('[name="product_id"]' ).val();
	    	var variation_id = $('.variation_id').val();

	    	var product_id = product_id ? product_id : product_get_id;

	    	if( variation_id == '0' || variation_id == '' ) {

	    		alert('Please select some product options before adding this product to your cart.');
	    		return false;

	    	}

	    	// console.log(product_id)
	    	currentDom.addClass('woo-chatbot-product-variation-move');

	    	var data = {
	    		'action':'qcld_woo_bargin_product_variation_view',
	    		'qcld_woo_map_product_id':product_id, 
	    		'qcld_woo_map_variation_id': variation_id,
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};
            
	    	setTimeout(function(){
	        	jQuery.post(qcld_map_ajaxurl, data, function (response) {

	        		currentDom.removeClass('woo-chatbot-product-variation-move');

	        		//console.log(response)

	        		currentDom_wrap.html('');
	        		currentDom_wrap.html(response.html);

            		setTimeout(function() { 

            			currentDom_wrap.find(".woo-chatbot-product-bargain-price").focus();

            		}, 1000);
            		
		
	    		});
	    	});


	    });




		//bargain modal initiate function for variable product
	    $(document).on('click', '.woo_minimum_accept_price-bargin-varialbe-exit-intent-modal-submit', function(e){
	    	e.preventDefault();
	    	
	    	var product_id = $(this).attr('product_id');
	    	var product_get_id = $('[name="product_id"]' ).val();
	    	var variation_id = $('.variation_id').val();

	    	var product_id = product_id ? product_id : product_get_id;

	    	if( variation_id == '0' || variation_id == '' ) {

	    		alert('Please select some product options before adding this product to your cart.');
	    		return false;

	    	}

	    	// console.log(product_id)

	    	// $('#wpbot-map-product-exit-intent-modal').remove();
	    	//$.magnificPopup.close();
	    	$('.woo_minimum_accept_price-bargin-varialbe-modal').addClass('woo-chatbot-product-variation-move');

	    	var data = {
	    		'action':'qcld_woo_bargin_product_variation_exit_intent',
	    		'qcld_woo_map_product_id':product_id, 
	    		'qcld_woo_map_variation_id': variation_id,
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};
            
	    	setTimeout(function(){
	        	jQuery.post(qcld_map_ajaxurl, data, function (response) {

	        		$('.woo_minimum_accept_price-bargin-varialbe-modal').removeClass('woo-chatbot-product-variation-move');

	        		//console.log(response);
	        		//$('.woo_minimum_accept_price-field-wrapper').after(response.html);
            		//$.magnificPopup.open({items: {src: '#wpbot-map-product-modal'},type: 'inline'}, 0);

            		//$('#wpbot-map-product-modal').closest('.mfp-wrap').addClass('wpbot-map-wraps');

            		$('#wpbot-map-product-exit-intent-modal').html(response.html);
	        		$('#wpbot-map-product-exit-intent-modal').attr('id', 'wpbot-map-product-modal');

            		setTimeout(function() { 

            			$(".woo-chatbot-product-bargain-price").focus();
            			qcld_map_product_previous_variable_pro_added_to_cart(product_id, variation_id);

            		}, 1000);
            		
		
	    		});
	    	});


	    });

		//bargain modal initiate function for variable product
	    $(document).on('click', '.woo_minimum_accept_price-bargin-varialbe-exit-intent-modal', function(e){
	    	e.preventDefault();
	    	
	    	var product_id = $(this).attr('product_id');
	    	var variation_id =  '';

	    	var data = {
	    		'action':'qcld_woo_bargin_product_variation_global_exit_intent',
	    		'qcld_woo_map_product_id':product_id, 
	    		'qcld_woo_map_variation_id': variation_id,
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};

	    	$('.woo_minimum_accept_price-bargin-varialbe-exit-intent-modal').addClass('woo-chatbot-product-variation-move');
            
	    	setTimeout(function(){
	        	jQuery.post(qcld_map_ajaxurl, data, function (response) {
	    		$('.woo_minimum_accept_price-bargin-varialbe-exit-intent-modal').removeClass('woo-chatbot-product-variation-move');

	        		$('#wpbot-map-product-modal-exit-wrap').html(response);
	        		$('#wpbot-map-product-modal-exit-wrap').attr('id', 'wpbot-map-product-exit-intent-modal');

            		setTimeout(function() { 

            			$(".woo-chatbot-product-bargain-price").focus();
            			qcld_map_product_previous_variable_pro_added_to_cart(product_id, variation_id);

            		}, 1000);
            		
		
	    		});
	    	});


	    });

	    //bargain exit intent confirm
	   	/* 
	   	$(document).on('click', '.woo-modal-product-bargain-exit-intent-submit', function(e){

        	console.log('working');
            $('.woo_minimum_accept_price-bargin-varialbe-modal').trigger('click');
			//$.magnificPopup.close();
	        	

    	});
    	*/

    	//bargain modal initiate function
	    $(document).on('click', '.woo-chatbot-product-bargain-variation-submit', function(e){
	    	//e.preventDefault();
	    	
	    	var currentDom = $(this);
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-modal');
	    	var product_id = currentDom.attr('product-id');
	    	var variation_id = currentDom.attr('variation-id');
	    	var price = currentDom_wrap.find('.woo-chatbot-product-bargain-price').val();
	    	if( price == '') {
	    		currentDom_wrap.find('.woo-chatbot-product-bargain-price').addClass('woo-chatbot-shake');

	    		setTimeout(function(){
	    			currentDom_wrap.find('.woo-chatbot-product-bargain-price').removeClass('woo-chatbot-shake');
                }, 700);

	    		return;
	    	}
            //var price = price.match(/\d+/g).map(Number);
            var price = price.match(/\d+(?:\.\d+)?/g).map(Number);

	    	currentDom_wrap.find('.woo-chatbot-product-bargain-price').prop("disabled", true);
	        currentDom_wrap.find('.woo-chatbot-product-bargain-msg').show();
	    	currentDom_wrap.find('.woo-chatbot-product-bargain-msg').html('<p class="woo-chatbot-product-bargain-price_nego">'+ qcld_map_price_negotiating_test +'</p>');
	    	currentDom_wrap.find('.woo-chatbot-product-bargain-variation-submit').hide();

	    	var data = {
	    		'action':'qcld_woo_bargin_product_modal_variation_price', 
	    		'qcld_woo_map_product_id': product_id, 
	    		'qcld_woo_map_variation_id': variation_id, 
	    		'price': parseFloat(price),
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};
            
	    	setTimeout(function(){
	        jQuery.post(qcld_map_ajaxurl, data, function (response) {
	        	//console.log(response);

	        	qcld_map_product_variation_user_limit_count_id_functions(product_id, variation_id);

	        	if(response.confirm == 'agree'){
	        	
	        		currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
	        		currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html(response.html);

	        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
	        			var min_qty_req = qcld_minimum_accept_min_quantity;
	        		}else{
	        			var min_qty_req = 1;

	        		}	

	        		if(qcld_disable_email == 1){
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-confirm-add-to-cart" product-id="'+product_id+'" variation-id="'+variation_id+'"  price="'+response.sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
	        		}else{
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-confirm-add-to-cart" product-id="'+product_id+'" variation-id="'+variation_id+'"  price="'+response.sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

	        		}

	        		var bargainModalLoop = 0;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );


	        		if(qcld_minimum_accept_skip_add_to_cart == 1){
	        			currentDom_wrap.find( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
			    		
	        		}

	        	}else if(response.confirm == 'success'){

	        		var bargainModalLoop = parseFloat(localStorage.getItem("bargainModalLoop")) + 1;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );

	        		var qcld_bargain_allowed_timess = parseInt(qcld_bargain_allowed_times) + 1;

	        		if(localStorage.getItem("bargainModalLoop") == parseInt(qcld_bargain_allowed_timess)){

                        var your_low_price_alert  = qcld_map_your_low_price_alert;
                        var your_too_low_price_alert  = qcld_map_your_too_low_price_alert;

                        if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){
                        var confirmBtn1  = your_low_price_alert.replace("{offer price}", parseFloat(price).toFixed(2) + qcld_map_currency_symbol );
                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", response.sale_price + qcld_map_currency_symbol );
                        }else{
                        var confirmBtn1  = your_low_price_alert.replace("{offer price}", qcld_map_currency_symbol + parseFloat(price).toFixed(2) );
                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response.sale_price );

                        }


                        if( ( qcld_bargain_allowed_max_times != '') && (localStorage.getItem("bargainModalLoop") > parseInt(qcld_bargain_allowed_max_times) ) ){

                        	var response_sale_price = response.actual_price;
                        	
                        	if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}",  response_sale_price + qcld_map_currency_symbol );
	                        
	                        }else{

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response_sale_price );

	                        }

                        }



	        			currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
	        			currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
	        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');
	        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p>' +restWarning+ '</p>');
	        			

		        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
		        			var min_qty_req = qcld_minimum_accept_min_quantity;
		        		}else{
		        			var min_qty_req = 1;

		        		}
	        			
	        			if(qcld_disable_email == 1){
	        				currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-confirm-add-to-cart" product-id="'+product_id+'"  variation-id="'+variation_id+'" price="'+response.sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

	        			}else{
	        				currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-confirm-add-to-cart" product-id="'+product_id+'"  variation-id="'+variation_id+'" price="'+response.sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

	        			}

	        			var bargainModalLoop = 0;
	        			localStorage.setItem("bargainModalLoop",  bargainModalLoop );


		        		if(qcld_minimum_accept_skip_add_to_cart == 1){
		        			currentDom_wrap.find( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
				    		
		        		}


	        		}else{


                         if( ( qcld_bargain_allowed_max_times != '') && (localStorage.getItem("bargainModalLoop") > parseInt(qcld_bargain_allowed_max_times) ) ){

                        	var response_sale_price = response.actual_price;
                        	var your_low_price_alert  = qcld_map_your_low_price_alert;
                        	var your_too_low_price_alert  = qcld_map_your_too_low_price_alert;
                        	
                        	if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}",  response_sale_price + qcld_map_currency_symbol );
	                        
	                        }else{

	                        var confirmBtn1  = qcld_bargain_allowed_max_text;
	                        var restWarning  = your_too_low_price_alert.replace("{minimum amount}", qcld_map_currency_symbol + response_sale_price );

	                        }




		        			currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('');
		        			currentDom_wrap.find('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');
		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<p>' +restWarning+ '</p>');
		        			

			        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
			        			var min_qty_req = qcld_minimum_accept_min_quantity;
			        		}else{
			        			var min_qty_req = 1;

			        		}
		        			
		        			if(qcld_disable_email == 1){
		        				currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-confirm-add-to-cart" product-id="'+product_id+'"  variation-id="'+variation_id+'" price="'+response.sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

		        			}else{
		        				currentDom_wrap.find('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-confirm-add-to-cart" product-id="'+product_id+'"  variation-id="'+variation_id+'" price="'+response.sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

		        			}


			        		if(qcld_minimum_accept_skip_add_to_cart == 1){
			        			currentDom_wrap.find( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
					    		
			        		}


                        }else{


		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg').html(response.html);
		        			currentDom_wrap.find('.woo-chatbot-product-bargain-msg').show();
		    				currentDom_wrap.find('.woo-chatbot-product-bargain-price').prop("disabled", false);
		    	    		currentDom_wrap.find('.woo-chatbot-product-bargain-variation-submit').show();

                        }

	        		}

	        	}else{

	        		var bargainModalLoop = 0;
	        		localStorage.setItem("bargainModalLoop",  bargainModalLoop );

	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg').html(response.html);
	        		currentDom_wrap.find('.woo-chatbot-product-bargain-msg').show();

	    			currentDom_wrap.find('.woo-chatbot-product-bargain-price').prop("disabled", false);
	    	    	currentDom_wrap.find('.woo-chatbot-product-bargain-variation-submit').show();

	        	}
	    			
	            
	        });

            }, 5000);

	    	currentDom_wrap.find('.woo-chatbot-product-bargain-price').prop( "disabled", false );
		
	    });


	    $(document).on("keypress", ".woo-chatbot-product-bargain-price", function (e) {

		    var key = e.which;
			if(key == 13){

		       	$( ".woo-chatbot-product-bargain-variation-submit" ).trigger('click');
			    return false;  
			}

		});


		//bargain variable product add to cart
	    $(document).on('click', '.qcld-modal-bargin-confirm-add-to-cart', function(e){
	    	
	    	var product_id 		= $(this).attr('product-id');
	    	var variation_id 	= $(this).attr('variation-id');
	    	var price 			= $(this).attr('price');
	    	//var product_qty 	= $(this).attr('product-qty');
	    	var product_qty = $(this).parent().find('.woo-chatbot-bargain-qty').val();

	    	if(product_qty == ''){
	    		
	    		var product_qty 	= $(this).attr('product-qty');
	    	}

	    	var $thisbutton = $('form.cart'),
	    	$form = $thisbutton,
            product_qty = parseInt(product_qty) ? parseInt(product_qty) : 1;

            //console.log(product_qty);

	    	if( product_id == '' ) {
	    		$(this).addClass('woo-chatbot-shake');

	    		setTimeout(function(){
	    			$(this).removeClass('woo-chatbot-shake');
                }, 700);

	    		return;
	    	}

	    	if( qcld_minimum_accept_enable_minimum_quantity && (qcld_minimum_accept_min_quantity > product_qty) ) {

	    		$(this).addClass('woo-chatbot-shake');
	        	$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-min-qty woo-chatbot-product-bargain-msg"> '+ qcld_minimum_accept_min_qty_req_text +' '+  qcld_minimum_accept_min_quantity +'</div>');
	        	$('.woo-chatbot-product-bargain-min-qty.woo-chatbot-product-bargain-msg').css({ display: "block" });

	    		setTimeout(function(){
	    			$(this).removeClass('woo-chatbot-shake');
	        		$('.woo-chatbot-product-bargain-min-qty.woo-chatbot-product-bargain-msg').remove();
                }, 1500);

	    		return;
	    	}

	        $('.woo-chatbot-product-bargain-msg-success').show();
	    	$('.woo-chatbot-product-bargain-msg-success').html('<p class="woo-chatbot-product-bargain-price_nego">'+ qcld_map_pro_added_to_cart_msg +'</p>');

    		if ( $.cookie('qcld_map_product_v_previous_variable_id_'+variation_id) != variation_id ) {

        		$.cookie('qcld_map_product_v_previous_id_'+product_id, product_id);
        		$.cookie('qcld_map_product_v_previous_variable_id_'+variation_id, variation_id);
        		$.cookie('qcld_map_product_v_previous_price_'+variation_id, price);

        	}

        	var product_cookie = 'false';
    		if ( $.cookie('qcld_map_product_v_previous_variable_id_'+variation_id) == variation_id ) {
				var product_cookie = 'yes';
        	}

	    	var data = {
	    		'action':'qcld_woo_bargin_product_variation_add_to_cart', 
	    		'product_id': product_id, 
	    		'variation_id': variation_id, 
	    		'price': price,
	    		'product_qty': product_qty,
	    		'product_cookie': product_cookie,
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};
            
	    	setTimeout(function(){
	        	jQuery.post(qcld_map_ajaxurl, data, function (response) {
	        	
	        		$('.woo-chatbot-product-bargain-msg-success').html('');
	        		$('.woo-chatbot-product-bargain-msg-success').html(response.html);
	        		$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><a href="'+qcld_map_pro_get_checkout_url +'" class="qcld-modal-bargin-confirm-btn-checkout"> '+qcld_map_pro_checkout_now_button_text+' </a></div>');


	        		jQuery("[name='update_cart']").removeAttr('disabled');
	        		jQuery('[name="update_cart"]').trigger('click');

    			});
    		});
    	});

		//bargain simple product add to cart
	    $(document).on('click', '.qcld-modal-bargin-add-to-cart', function(e){
	    	
	    	var product_id 		= $(this).attr('product-id');
	    	var price 			= $(this).attr('price');
	    	var product_qty = $(this).parent().find('.woo-chatbot-bargain-qty').val();

	    	if(product_qty == ''){
	    		
	    		var product_qty 	= $(this).attr('product-qty');
	    	}

	    	var $thisbutton = $('form.cart'),
	    	$form = $thisbutton,
            product_qty = parseInt(product_qty) ? parseInt(product_qty) : 1;

	    	if( product_id == '' ) {
	    		$(this).addClass('woo-chatbot-shake');

	    		setTimeout(function(){
	    			$(this).removeClass('woo-chatbot-shake');
                }, 700);

	    		return;
	    	}

	    	if( qcld_minimum_accept_enable_minimum_quantity && (qcld_minimum_accept_min_quantity > product_qty) ) {

	    		$(this).addClass('woo-chatbot-shake');
	        	$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-min-qty woo-chatbot-product-bargain-msg"> '+ qcld_minimum_accept_min_qty_req_text +' '+  qcld_minimum_accept_min_quantity +'</div>');
	        	$('.woo-chatbot-product-bargain-min-qty.woo-chatbot-product-bargain-msg').css({ display: "block" });

	    		setTimeout(function(){
	    			$(this).removeClass('woo-chatbot-shake');
	        		$('.woo-chatbot-product-bargain-min-qty.woo-chatbot-product-bargain-msg').remove();
                }, 1500);

	    		return;
	    	}

	        $('.woo-chatbot-product-bargain-msg-success').show();
	    	$('.woo-chatbot-product-bargain-msg-success').html('<p class="woo-chatbot-product-bargain-price_nego">'+ qcld_map_pro_added_to_cart_msg +'</p>');


    		if ( $.cookie('qcld_map_product_previous_id_'+product_id) != product_id ) {

        		$.cookie('qcld_map_product_previous_id_'+product_id, product_id);
        		$.cookie('qcld_map_product_previous_id_price_'+product_id, price);

        	}

	    	var product_cookie = 'false';
    		if ( $.cookie('qcld_map_product_previous_id_'+product_id) == product_id ) {
        		var product_cookie = 'yes';
        	}
	        	

	    	var data = {
	    		'action':'qcld_woo_bargin_product_add_to_cart', 
	    		'product_id': product_id,  
	    		'price': price,
	    		'product_qty': product_qty,
	    		'product_cookie': product_cookie,
	    		'security': qcld_map_pro_get_ajax_nonce
	    	};
            
	    	setTimeout(function(){
	        	jQuery.post(qcld_map_ajaxurl, data, function (response) {
	        		$('.woo-chatbot-product-bargain-msg-success').html('');
	        		$('.woo-chatbot-product-bargain-msg-success').html(response.html);
	        		$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><a href="'+qcld_map_pro_get_checkout_url +'" class="qcld-modal-bargin-confirm-btn-checkout"> '+qcld_map_pro_checkout_now_button_text+' </a></div>');

	        		jQuery("[name='update_cart']").removeAttr('disabled');
	        		jQuery('[name="update_cart"]').trigger('click');

    			});
    		});
    	});

		

		//bargain modal close
	    $(document).on('click', '.mfp-close', function(e){
	    	
	    	if ($(".wpbot-map-product-exit-intent-modal-check").length > 0 && (qcld_minimum_accept_minimum_page_check == 1) ) {
			    /* then do something here */
			    window.location.reload();
			}
	    	
	    	$('.mfp-close').trigger('click');
	    	$.magnificPopup.close();

    	});


		// qcld-modal-bargin-confirm-btn-checkout qcld-modal-bargin-confirm-btn-close


	   

            //Exit Intent
          	if (qcld_map_pro_exit_intent == 1) {
                window.addEventListener("mouseout", function (e) {
                    e = e ? e : window.event;

                    // If this is an autocomplete element.
                    if (e.target.tagName.toLowerCase() == "input")
                        return;

                    // Get the current viewport width.
                    var vpWidth = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);

                    // If the current mouse X position is within 50px of the right edge
                    // of the viewport, return.
                    if (e.clientX >= (vpWidth - 50))
                        return;

                    // If the current mouse Y position is not within 50px of the top
                    // edge of the viewport, return.
                    if (e.clientY >= 50)
                        return;

                    // Reliable, works on mouse exiting window and
                    // user switching active program
                    var from = e.relatedTarget || e.toElement;
                    if (!from)
                    //if will open once if setup from backend.
                    var qcld_map_pro_exitIntentOpen = true;

                    if(qcld_map_pro_one_per_visit == 1){
                    	exit_intent_once_time_bargain = 1;
                    }   

                    if ( $.cookie('qcld_map_pro_exit_intent') == 'yes' && exit_intent_once_time_bargain == 1) {
                        qcld_map_pro_exitIntentOpen = false;
                    }

                    if ( qcld_map_pro_exitIntentOpen == true) {

                    	$.cookie('qcld_map_pro_exit_intent', 'yes');

                    	if(qcld_map_pro_get_is_product && exit_intent_check_for_validate_page == 'true'){

                    		if(!$.magnificPopup.instance.isOpen){

			            		//$.magnificPopup.open({items: {src: '#wpbot-map-product-modal-exit-wrap'},type: 'inline'}, 0);
			            		
			            		//if( $('.woo_minimum_accept_price-bargin').length > 0 || $('.woo_minimum_accept_price-bargin-modal').length > 0 || $('.woo_minimum_accept_price-bargin-varialbe-modal').length > 0 ){
			            			//$('.woo-chatbot-bargain-btn-exit-intent').show();
			            			$.magnificPopup.open({items: {src: '#wpbot-map-product-modal-exit-wrap'},type: 'inline'}, 0);
			            		//}
                    			
                    		}


                    	}

                    	exit_intent_once_time_bargain = 1;                	
                    	
      
                    }
                });
            }



            function qcld_map_product_previous_pro_added_to_cart(product_id){
            	var bargainModalLoop = parseFloat(localStorage.getItem("bargainModalLoop")) + 1;
    			localStorage.setItem("bargainModalLoop",  bargainModalLoop );

    		
        		if ( $.cookie('qcld_map_product_previous_id_'+product_id) == product_id ) {

	        		var response_sale_price = $.cookie('qcld_map_product_previous_id_price_'+product_id) ? $.cookie('qcld_map_product_previous_id_price_'+product_id) : 0;
    				var price = $.cookie('qcld_map_product_previous_id_price_'+product_id) ? $.cookie('qcld_map_product_previous_id_price_'+product_id) : 0;
	        		//console.log($.cookie('qcld_map_product_previous_id_price_'+product_id));
	        	

	                var your_low_price_alert  = qcld_map_your_low_price_alert;
	                var your_too_low_price_alert  = qcld_map_your_too_low_price_alert;
	                if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){

	                var confirmBtn1  = '';
	                var restWarning  = map_acceptable_prev_price.replace("{offer price}",  response_sale_price + qcld_map_currency_symbol );
	                
	                }else{

	                var confirmBtn1  ='';
	                var restWarning  = map_acceptable_prev_price.replace("{offer price}", qcld_map_currency_symbol + response_sale_price );

	                }


	    			$('.woo-chatbot-products-bargain-wrap').html('');
	    			$('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
	    			$('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');
	    			$('.woo-chatbot-product-bargain-msg-success').append('<p>' +restWarning+ '</p>');

		        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
		        			var min_qty_req = qcld_minimum_accept_min_quantity;
		        		}else{
		        			var min_qty_req = 1;

		        		}

	    			if(qcld_disable_email == 1){
	    			$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
	    			}else{
	    			$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-add-to-cart" product-id="'+product_id+'" variable-id="" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

	    			}

	    			var bargainModalLoop = 0;
	    			localStorage.setItem("bargainModalLoop",  bargainModalLoop );


	        		if(qcld_minimum_accept_skip_add_to_cart == 1){
	        			$( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
			    		
	        		}

    			}
            }



            function qcld_map_product_previous_variable_pro_added_to_cart(product_id, variation_id){
            	var bargainModalLoop = parseFloat(localStorage.getItem("bargainModalLoop")) + 1;
				localStorage.setItem("bargainModalLoop",  bargainModalLoop );

    		
        		if ( $.cookie('qcld_map_product_v_previous_variable_id_'+variation_id) == variation_id ) {


	        		var response_sale_price = $.cookie('qcld_map_product_v_previous_price_'+variation_id) ? $.cookie('qcld_map_product_v_previous_price_'+variation_id) : 0;
    				var price = $.cookie('qcld_map_product_v_previous_price_'+variation_id) ? $.cookie('qcld_map_product_v_previous_price_'+variation_id) : 0;
	        		//console.log($.cookie('qcld_map_product_v_previous_price_'+variation_id));
	        		
					var your_low_price_alert  = qcld_map_your_low_price_alert;
					var your_too_low_price_alert  = qcld_map_your_too_low_price_alert;

					if(qcld_minimum_accept_price_symbol_position == 'qcld_right_symbol'){
					var confirmBtn1  = '';
					var restWarning  = map_acceptable_prev_price.replace("{offer price}", response_sale_price + qcld_map_currency_symbol );
					}else{
					var confirmBtn1  = '';
					var restWarning  = map_acceptable_prev_price.replace("{offer price}", qcld_map_currency_symbol + response_sale_price );

					}

					$('.woo-chatbot-products-bargain-wrap').html('');
					$('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
					$('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');
					$('.woo-chatbot-product-bargain-msg-success').append('<p>' +restWarning+ '</p>');


		        		if(qcld_minimum_accept_enable_minimum_quantity != ''){
		        			var min_qty_req = qcld_minimum_accept_min_quantity;
		        		}else{
		        			var min_qty_req = 1;

		        		}

					if(qcld_disable_email == 1){
					$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-confirm-add-to-cart" product-id="'+product_id+'"  variation-id="'+variation_id+'" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-close" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');
					}else{
					$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-btn"><input type="text" class="woo-chatbot-bargain-qty" name="qty" value="'+min_qty_req+'"><span class="qcld-modal-bargin-confirm-add-to-cart" product-id="'+product_id+'"  variation-id="'+variation_id+'" price="'+response_sale_price+'" > '+qcld_minimum_accept_modal_yes_button_text+' </span> <span> '+qcld_minimum_accept_modal_or_button_text+' </span><span class="qcld-modal-bargin-confirm-btn-no" product-id="'+product_id+'" confirm-data="no"> '+qcld_minimum_accept_modal_no_button_text+' </span></div>');

					}

					var bargainModalLoop = 0;
					localStorage.setItem("bargainModalLoop",  bargainModalLoop );


	        		if(qcld_minimum_accept_skip_add_to_cart == 1){
	        			$( ".qcld-modal-bargin-confirm-btn-no" ).trigger('click');
			    		
	        		}

    			}
            }



            function qcld_map_product_user_limit_count_id_functions(product_id){

            	if(parseInt(qcld_minimum_accept_minimum_user_limit_enable) != 1){
            		return;
            	}

            	var user_limit_var = $.cookie('qcld_map_product_user_limit_count_id_'+product_id) ? parseInt($.cookie('qcld_map_product_user_limit_count_id_'+product_id)) : 0;
        		var user_limit_count = parseInt(user_limit_var) + 1;

            	$.cookie('qcld_map_product_user_limit_count_id_'+product_id, user_limit_count, {expires: 1});

            	// console.log($.cookie('qcld_map_product_user_limit_count_id_'+product_id));

	        	if($.cookie('qcld_map_product_user_limit_count_id_'+product_id) >= parseInt(qcld_minimum_accept_minimum_user_limit)){

	        		var confirmBtn1  = qcld_minimum_accept_minimum_user_limit_msg_text;
        			$('.woo-chatbot-products-bargain-wrap').html('');
        			$('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
        			$('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');

	        	}

            }



            function qcld_map_product_variation_user_limit_count_id_functions(product_id, variation_id){

            	if(parseInt(qcld_minimum_accept_minimum_user_limit_enable) != 1){
            		return;
            	}

            	var user_limit_var = $.cookie('qcld_map_product_variation_user_limit_count_id_'+variation_id) ? parseInt($.cookie('qcld_map_product_variation_user_limit_count_id_'+variation_id)) : 0;
        		var user_limit_count = parseInt(user_limit_var) + 1;

            	$.cookie('qcld_map_product_variation_user_limit_count_id_'+variation_id, user_limit_count, {expires: 1});

            	//console.log($.cookie('qcld_map_product_variation_user_limit_count_id_'+variation_id));

	        	if($.cookie('qcld_map_product_variation_user_limit_count_id_'+variation_id) >= parseInt(qcld_minimum_accept_minimum_user_limit)){

	        		var confirmBtn1  = qcld_minimum_accept_minimum_user_limit_msg_text;
        			$('.woo-chatbot-products-bargain-wrap').html('');
        			$('.woo-chatbot-products-bargain-wrap').html('<div class="woo-chatbot-product-bargain-msg-success"></div>');
        			$('.woo-chatbot-product-bargain-msg-success').html('<p>' + confirmBtn1 + '</p>');

	        	}

            }




	    $(document).on("click", ".qcld-modal-bargin-confirm-btn-close", function (e) {

	    	if ($("#wpbot-map-product-exit-intent-modal").length > 0) {
			    window.location.reload();
			}

	    	e.preventDefault();
            $.magnificPopup.close();

    	});

	    $(document).on("click", ".qcld_email_or_phone", function (e) {
	    	e.preventDefault();
	    	var currentDom = $(this);
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-wrap');
	    	currentDom_wrap.find('.qcld_email_or_phone_show').fadeOut("fast");
	    	currentDom_wrap.find('.qcld_email_or_phone_hide').fadeIn("slow", function() {
																	    $(this).css("display", "inline-block");
																	});
	    	currentDom_wrap.find('.woo-modal-product-bargain-offer-phone').val('');
    	});

	    $(document).on("click", ".qcld_phone_or_email", function (e) {
	    	e.preventDefault();
	    	var currentDom = $(this);
	    	var currentDom_wrap = currentDom.closest('.woo-chatbot-products-bargain-wrap');
	    	currentDom_wrap.find('.qcld_email_or_phone_hide').fadeOut("fast");
	    	currentDom_wrap.find('.qcld_email_or_phone_show').fadeIn("slow", function() {
																	    $(this).css("display", "inline-block");
																	});
	    	currentDom_wrap.find('.woo-modal-product-bargain-offer-email').val('');
    	});

	    $(document).on("keyup", ".woo-chatbot-bargain-qty", function (e) {

	    	e.preventDefault();
	    	var qcld_qty = $(this).val();

	        var min_val = parseInt(qcld_qty) ? parseInt(qcld_qty) : 0;
	        if (min_val > 0) {
	    		$('.qcld-modal-bargin-add-to-cart').attr('product-qty', qcld_qty);
	    		$('.qcld-modal-bargin-confirm-add-to-cart').attr('product-qty', qcld_qty);

	        }else{
	        	$(this).val(1);
	    		$('.qcld-modal-bargin-add-to-cart').attr('product-qty', 1);
	    		$('.qcld-modal-bargin-confirm-add-to-cart').attr('product-qty', 1);
	        }

	        if( qcld_minimum_accept_enable_minimum_quantity && (qcld_minimum_accept_min_quantity > qcld_qty) ) {

	    		$(this).addClass('woo-chatbot-shake');
	        	$('.woo-chatbot-product-bargain-msg-success').append('<div class="woo-chatbot-product-bargain-min-qty woo-chatbot-product-bargain-msg"> '+ qcld_minimum_accept_min_qty_req_text +' '+  qcld_minimum_accept_min_quantity +'</div>');
	        	$('.woo-chatbot-product-bargain-min-qty.woo-chatbot-product-bargain-msg').css({ display: "block" });

	    		setTimeout(function(){
	    			$(this).removeClass('woo-chatbot-shake');
	        		$('.woo-chatbot-product-bargain-min-qty.woo-chatbot-product-bargain-msg').remove();
                }, 1500);

	    		return;
	    	}



    	});

    	// variation_id



    });

})(jQuery);